ApacheCXFRS扩展在2.4.0中的问题如何解决?

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (2)
  • 关注 (0)
  • 查看 (70)

我正在使用Apache CXF 2.4.0版。我正在尝试创建一个Restful服务。

下面的例子在2.3.4中工作,但在2.4.0中不起作用。我应该在bean配置文件中做什么不同?

当我在我的bean配置文件中包含下面的xml行时。

<import resource="classpath:META-INF/cxf/cxf-extension-jaxrs-binding.xml" /> 

我得到以下堆栈跟踪错误:

org.springframework.beans.factory.parsing.BeanDefinitionParsingException: Configuration problem: Failed to import bean definitions from URL location [classpath:META-INF/cxf/cxf-extension-jaxrs-binding.xml]

Offending resource: ServletContext resource [/WEB-INF/beans.xml]; nested exception is org.springframework.beans.factory.BeanDefinitionStoreException:

IOException parsing XML document from class path resource [META-INF/cxf/cxf-extension-jaxrs-binding.xml]; nested exception is java.io.FileNotFoundException: class path resource [META-INF/cxf/cxf-extension-jaxrs-binding.xml] cannot be opened because it does not exist at org.springframework.beans.factory.parsing.FailFastProblemReporter.error(FailFastProblemReporter.java:68)

我的POM依赖关系如下。这将适用于2.3.4,但不适用于2.4.0。有什么建议么?该xml扩展行是否被弃用或包含在另一个jar中?

    <dependency>
        <groupId>org.apache.cxf</groupId>
        <artifactId>cxf-bundle-jaxrs</artifactId>
        <version>2.3.4</version>
        <exclusions>
            <exclusion>
                <groupId>org.eclipse.jetty</groupId>
                <artifactId>jetty-server</artifactId>
            </exclusion>
        </exclusions>
    </dependency>
提问于
用户回答回答于

它不再需要。在2.4.x中,大部分META-INF / cxf文件不再需要,可以删除。真的,cxf.xml是唯一需要的。

扫码关注云+社区

领取腾讯云代金券